import React, { useState, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { VizContainer } from './VizContainer';

const width = 960;
const height = 500;
const margin = { top: 30, right: 30, bottom: 30, left: 30 };
const innerWidth = width - margin.right - margin.left;
const innerHeight = height - margin.top - margin.bottom;

const App = () => {
  const [data, setData] = useState();

  useEffect(() => {
    const getData = async () => {
      const eventIDs = [
        'event.pageview',
        'event.pageview.home',
        'event.pageview.viz',
      ];
      const response = await fetch('/api/event/get', {
        method: 'POST',
        headers: { 'Content-Type': 'application/json' },
        body: JSON.stringify({ eventIDs }),
      });
      setData(await response.json());
    };
    getData();
  }, []);

  console.log(data);

  return (
    <VizContainer
      showMargins={true} // delete this
      width={width}
      height={height}
      margin={margin}
      innerWidth={innerWidth}
      innerHeight={innerHeight}
    ></VizContainer>
  );
};

ReactDOM.render(<App />, document.getElementById('root'));
